%define majver %(echo %version | cut -d. -f1-2)
Name:          libgupnp-igd10
Version:       1.2.0
Release:       4mamba
Summary:       A library to handle Internet Gateway Device port mappings
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://wiki.gnome.org/Projects/GUPnP
Source:        https://download.gnome.org/sources/gupnp-igd/%{majver}/gupnp-igd-%{version}.tar.xz
Patch0:        libgupnp-igd-1.2.0-gupnp-1.6.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libglib-devel
BuildRequires: libgssdp-devel
BuildRequires: libgupnp-devel
## AUTOBUILDREQ-END
BuildRequires: libgupnp-devel >= 1.6.0

%description
A library to handle Internet Gateway Device port mappings.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
A library to handle Internet Gateway Device port mappings.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q -n gupnp-igd-%{version}
%patch0 -p1 -b .gupnp-1.6

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libgupnp-igd-1.0.so.*
%{_libdir}/girepository-1.0/GUPnPIgd-1.0.typelib
#%{python_sitearch}/gupnp/__init__.py*
#%{python_sitearch}/gupnp/igd.a
#%{python_sitearch}/gupnp/igd.la
#%{python_sitearch}/gupnp/igd.so
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/gupnp-igd-1.0/libgupnp-igd/*.h
%{_libdir}/libgupnp-igd-1.0.so
#%{_datadir}/gtk-doc/html/gupnp-igd/*
%{_datadir}/gir-1.0/GUPnPIgd-1.0.gir
%{_libdir}/pkgconfig/*.pc
#%doc NEWS README TODO

%changelog
* Mon Sep 11 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0-4mamba
- legacy package

* Tue Sep 27 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0-3mamba
- rebuilt with libgupnp 1.6.0

* Wed Aug 24 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0-2mamba
- rebuilt with libgupnp 1.4.3

* Thu Sep 24 2020 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Mon Dec 18 2017 Automatic Build System <autodist@mambasoft.it> 0.2.5-1mamba
- automatic update by autodist

* Wed Oct 01 2014 Automatic Build System <autodist@mambasoft.it> 0.2.4-1mamba
- automatic version update by autodist

* Sat Feb 08 2014 Automatic Build System <autodist@mambasoft.it> 0.2.3-1mamba
- automatic version update by autodist

* Sun Jun 02 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.2-2mamba
- python 2.7 mass rebuild

* Fri Nov 23 2012 Automatic Build System <autodist@mambasoft.it> 0.2.2-1mamba
- automatic version update by autodist

* Sat Nov 17 2012 Automatic Build System <autodist@mambasoft.it> 0.2.1-1mamba
- automatic version update by autodist

* Thu Sep 27 2012 Automatic Build System <autodist@mambasoft.it> 0.2.0-1mamba
- update to 0.2.0

* Sun Jun 27 2010 Automatic Build System <autodist@mambasoft.it> 0.1.7-1mamba
- automatic update by autodist

* Sun May 09 2010 Automatic Build System <autodist@mambasoft.it> 0.1.6-1mamba
- automatic update by autodist

* Wed Nov 18 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.4-1mamba
- package created by autospec
